package com.zbf.system.service;

import com.zbf.system.domain.TransferOrder;

import java.util.List;

/**
 * 调拨单
 Service接口
 *
 * @author tony
 * @date 2024-11-03
 */
public interface ITransferOrderService
{
    /**
     * 查询调拨单

     *
     * @param id 调拨单
    主键
     * @return 调拨单

     */
    public TransferOrder selectTransferOrderById(Long id);

    /**
     * 查询调拨单
     列表
     *
     * @param transferOrder 调拨单

     * @return 调拨单
    集合
     */
    public List<TransferOrder> selectTransferOrderList(TransferOrder transferOrder);

    /**
     * 新增调拨单

     *
     * @param transferOrder 调拨单

     * @return 结果
     */
    public int insertTransferOrder(TransferOrder transferOrder);

    /**
     * 修改调拨单

     *
     * @param transferOrder 调拨单

     * @return 结果
     */
    public int updateTransferOrder(TransferOrder transferOrder);

    /**
     * 批量删除调拨单

     *
     * @param ids 需要删除的调拨单
    主键集合
     * @return 结果
     */
    public int deleteTransferOrderByIds(Long[] ids);

    /**
     * 删除调拨单
     信息
     *
     * @param id 调拨单
    主键
     * @return 结果
     */
    public int deleteTransferOrderById(Long id);

    /**
     * 批量禁用调拨单

     *
     * @param ids 需要禁用的调拨单
    主键集合
     * @return 结果
     */
    public int disabledTransferOrderByIds(Long[] ids);

    /**
     * 批量启用调拨单

     *
     * @param ids 需要启用的调拨单
    主键集合
     * @return 结果
     */
    public int enableTransferOrderByIds(Long[] ids);

    /**
     * 改变状态
     *
     * @param transferOrder
     * @return 结果
     */
    public int updateStatus(TransferOrder transferOrder);
}

